recca0120/laravel-bridge

use laravel eloquent, view, pagination anywhere

v1.1.0 2019-06-13 16:02 UTC

This package is auto-updated.

Last update: 2020-09-05 06:33:26 UTC


README

logo.svg

Build Status Coverage Status Latest Stable Version Total Downloads Latest Unstable Version License Monthly Downloads Daily Downloads

Installation

Add Presenter to your composer.json file:

"require": {
    "recca0120/laravel-bridge": "^1.0.0"
}

Require illuminate/translation when using Pagination.

Now, run a composer update on the command line from the root of your project:

composer update

NOTICE: NOT support Laravel 5.4.*

How to use

setup

use Recca0120\LaravelBridge\Laravel;

require __DIR__.'/vendor/autoload.php';

$connections = [
    'default' => [
        'driver'    => 'mysql',
        'host'      => 'localhost',
        'port'      => 3306,
        'database'  => 'forge',
        'username'  => 'forge',
        'password'  => '',
        'charset'   => 'utf8',
        'collation' => 'utf8_unicode_ci',
        'prefix'    => '',
        'strict'    => false,
        'engine'    => null,
    ],
];

Laravel::instance()
    ->setupView(__DIR__.'/views/', __DIR__.'/views/cache/compiled/')
    ->setupDatabase($connections)
    ->setupPagination()
    ->setupTracy([
        'showBar' => true
    ]);

eloquent

class User extends \Illuminate\Database\Eloquent\Model
{
    protected $fillable = [
       'name',
       'email',
       'password',
   ];
}

var_dump(User::all());

view

view.blade.php

@foreach ($rows as $row)
    {{ $row }};
@endforeach

view

echo View::make('view', ['rows' => [1, 2, 3]]);

Example

Laraigniter